unit SingleFileDbFm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TSingleUsrDbForm = class(TForm)
    OpenDialog1: TOpenDialog;
    SaveDialog1: TSaveDialog;
    BtnSaveDb: TButton;
    BtnGetDb: TButton;
    BtnEditBudObj: TButton;
    procedure BtnSaveDbClick(Sender: TObject);
    procedure BtnGetDbClick(Sender: TObject);
    procedure BtnEditBudObjClick(Sender: TObject);
  private
    { Private declarations }
    FBusObject:TObject;
  public
    { Public declarations }
  end;

var
  SingleUsrDbForm: TSingleUsrDbForm;

implementation

uses BusObjs, PFileStm;

{$R *.dfm}

procedure TSingleUsrDbForm.BtnSaveDbClick(Sender: TObject);
Var
  DbFile:TObjectFile;
begin
  DbFile:=nil;
  If FBusObject=nil then
    Begin
      FBusObject:=TADUGBusObj.Create(nil,nil);
      TADUGBusObj(FBusObject).Edit;
    end;
  If SaveDialog1.Execute then
    Try
      DbFile:=TObjectFile.Create(SaveDialog1.FileName,fmOpenWriteExistingBackup);
      DbFile.WriteObject(FBusObject);
    Finally
      DbFile.Free;
    end;
end;

procedure TSingleUsrDbForm.BtnGetDbClick(Sender: TObject);
Var
  DbFile:TObjectFile;
begin
  DbFile:=nil;
  FBusObject.Free;
  If OpenDialog1.Execute then
    Try
      DbFile:=TObjectFile.Create(OpenDialog1.FileName,fmOpenRead);
      FBusObject:=DbFile.ReadObject(nil,nil);
    Finally
      DbFile.Free;
    end;
  end;

procedure TSingleUsrDbForm.BtnEditBudObjClick(Sender: TObject);
begin
  If FBusObject=nil then
      FBusObject:=TADUGBusObj.Create(nil,nil);
  TADUGBusObj(FBusObject).Edit;
end;

end.
